JavaScript is required to use Bungie.net

Community
0
Suppressor

Suppressor

9/29/2012 9:05:47 AM
I usually use HTTPS when browsing bungie.net (HTTP now), and a few minutes ago I received this message when trying to connect: [quote]www.bungie.net uses an invalid security certificate. The certificate is not trusted because no issuer chain was provided. The certificate expired on 12-01-08 06:59 PM. The current time is 12-09-29 04:01 AM. (Error code: sec_error_unknown_issuer)[/quote] Did their server just start using an old cert? What is happening..

Edit Preview Cancel

preload icon
preload icon
preload icon
You are not allowed to view this content.